From 7f407d472927007908f850c616e847cc848575c2 Mon Sep 17 00:00:00 2001
From: root <Kedar Sovani kedars@marvell.com>
Date: Thu, 18 Dec 2008 16:33:34 +0530
Subject: [PATCH] gamin: Detect that we are running on Linux in case of linux-gnueabi.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 gamin-0.1.9-gnueabi.patch |   14 ++++++++++++++
 gamin.spec                |    7 ++++++-
 2 files changed, 20 insertions(+), 1 deletions(-)
 create mode 100644 gamin-0.1.9-gnueabi.patch

diff --git a/gamin-0.1.9-gnueabi.patch b/gamin-0.1.9-gnueabi.patch
new file mode 100644
index 0000000..0701d70
--- /dev/null
+++ b/gamin-0.1.9-gnueabi.patch
@@ -0,0 +1,14 @@
+diff -urp gamin-0.1.9.orig/configure.in gamin-0.1.9/configure.in
+--- gamin-0.1.9.orig/configure.in	2007-07-27 10:20:20.000000000 -0400
++++ gamin-0.1.9/configure.in	2008-12-17 01:03:47.000000000 -0500
+@@ -150,6 +150,10 @@ dnl check what OS we're on
+ if test x$target_os = xlinux-gnu; then
+ 	AC_DEFINE([HAVE_LINUX],[],[Whether we are using linux or not])
+ fi
++#AM_CONDITIONAL(HAVE_LINUX, test x$target_os = xlinux-gnueabi)
++if test x$target_os = xlinux-gnueabi; then
++	AC_DEFINE([HAVE_LINUX],[],[Whether we are using linux or not])
++fi
+ 
+ AC_ARG_ENABLE(kernel,
+ 	AC_HELP_STRING([--disable-kernel], [Use polling regardless of what kernel-level systems are available]),
diff --git a/gamin.spec b/gamin.spec
index af6be4c..5749190 100644
--- a/gamin.spec
+++ b/gamin.spec
@@ -1,7 +1,7 @@
 Summary: Library providing the FAM File Alteration Monitor API
 Name: gamin
 Version: 0.1.9
-Release: 6%{?dist}%{?extra_release}
+Release: 6%{?dist}%{?extra_release}.fa1
 License: LGPLv2
 Group: Development/Libraries
 Source: gamin-%{version}.tar.gz
@@ -19,6 +19,7 @@ Patch1: gamin-0.1.9-filesystem-leak.patch
 # patching missing struct ucred in glibc headers
 # http://bugzilla.gnome.org/show_bug.cgi?id=525228
 Patch2: gamin-0.1.9-ucred-headers.patch
+Patch3: gamin-0.1.9-gnueabi.patch
 
 %description
 This C library provides an API and ABI compatible file alteration
@@ -52,6 +53,7 @@ of the gamin package.
 %patch0 -p1 -b .poll-less
 %patch1 -p1 -b .filesystem-leak
 %patch2 -p1 -b .ucred
+%patch3 -p1 -b .gnueabi
 
 %build
 autoreconf --force --install
@@ -100,6 +102,9 @@ rm -fr %{buildroot}
 %doc doc/python.html
 
 %changelog
+* Thu Dec 18 2008 Kedar Sovani <kedars@marvell.com> - 0.1.9-7
+- fix build on gnueabi
+
 * Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.9-6
 - fix license tag
 
-- 
1.5.3.3

